Bug 634152 - [enh] display IPv6 information in the connection information GUI box
[enh] display IPv6 information in the connection information GUI box
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: NetworkManager (Show other bugs)
6.0
All Linux
low Severity low
: rc
: ---
Assigned To: Dan Williams
desktop-bugs@redhat.com
:
Depends On: 591929
Blocks: 538499
  Show dependency treegraph
 
Reported: 2010-09-15 07:10 EDT by Vladimir Benes
Modified: 2011-05-19 10:25 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
IPv6 information such as the IP Address and DNS servers now displays in the connection information.
Story Points: ---
Clone Of: 591929
Environment:
Last Closed: 2011-05-19 10:25:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
show IPv6 info in nm-applet's connection info (13.93 KB, patch)
2010-12-02 10:38 EST, Jirka Klimes
no flags Details | Diff

  None (edit)
Description Vladimir Benes 2010-09-15 07:10:47 EDT
+++ This bug was initially created as a clone of Bug #591929 +++

Now that IPv6 is fully supported by NM (many thanks!), it would be nice if the IPv6 connection information (IP addresses, DNS servers, and so on) would be displayed in the connection information GUI box.  Currently, only IPv4 information is displayed here (in addition to some layer-2 information).

Of course, this is not a priority issue.  Consider it the icing on the NM-IPv6 cake.  ;-)

Tore
Comment 1 Dan Williams 2010-12-01 16:55:44 EST
Jirka, mind looking into this?  Should be pretty simple...
Comment 2 Jirka Klimes 2010-12-02 10:38:04 EST
Created attachment 464281 [details]
show IPv6 info in nm-applet's connection info


Yeah, that's not a problem. The patch adds the IPv6 stuff and inserts group labels.

Nevertheless, we could want to adjust the dialog later to include some more stuff (like DNS domains, multiple IP addresses, etc.). But the windows tends to get too long, so we may need another layout?
Comment 3 Jirka Klimes 2010-12-16 10:50:24 EST
Pushed upstream:
9f81a4957878f4a02821d446fc9ac132dbfb66cd (master)
cc0a5df36818846b0169189af3d64cdefc442a6d (NMA_0_8)
Comment 13 Misha H. Ali 2011-04-20 03:15:58 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
IPv6 information such as the IP Address and DNS servers now displays in the connection information.
Comment 14 errata-xmlrpc 2011-05-19 10:25:00 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0769.html

Note You need to log in before you can comment on or make changes to this bug.